hakyll-4.9.7.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.Dependencies

# Documentation

data Dependency #

Constructors

PatternDependency Pattern (Set Identifier) |
IdentifierDependency Identifier |

Instances

Show Dependency # |
Methods showsPrec :: Int -> Dependency -> ShowS # show :: Dependency -> String # showList :: [Dependency] -> ShowS #
Binary Dependency # |
Methods put :: Dependency -> Put # get :: Get Dependency # putList :: [Dependency] -> Put #

type DependencyFacts = Map Identifier [Dependency] #

outOfDate #

Arguments

:: [Identifier] | All known identifiers
-> Set Identifier | Initially out-of-date resources
-> DependencyFacts | Old dependency facts
-> (Set Identifier, DependencyFacts, [String]) |